# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gacutil /usr/bin/mono
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global __requires_exclude lib.*gio|lib.*glib

Name:		gio-sharp
Version:	2.22.3
Release:	alt1_8
License:	GPLv2 and MIT
Group:		Development/Other
Summary:	.NET/C# Bindings for GIO
Url:		http://gitorious.org/gio-sharp
Source:		https://github.com/downloads/mono/%{name}/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildRequires:	glib2-devel >= 2.22
BuildRequires:	libgtk-sharp2
BuildRequires:	pkgconfig(gapi-2.0)
BuildRequires:	pkgconfig(mono)
Requires:	glib2 > 2.22
#gw strictly speaking, it needs libgio:
Requires:	gvfs gvfs-backend-dnssd
Source44: import.info

%description
C#/CLI bindings for GIO.

%package devel
Group:		Development/Other
Summary:	.NET/C# Bindings for GIO
Requires:	%{name} = %{version}

%description devel
Files for developing programs that use gio-sharp.

%prep
%setup -q
sed -i "s#gmcs#mcs#g" configure.ac

%build
autoreconf -vfi

%configure --libdir=%{_prefix}/lib
make

%install
%makeinstall_std pkgconfigdir=%{_datadir}/pkgconfig

%files
%doc AUTHORS
%dir %{_prefix}/lib/gio-sharp/
%{_prefix}/lib/gio-sharp/gio-sharp.dll*

%files devel
%{_datadir}/pkgconfig/gio-sharp-2.0.pc
%dir %{_datadir}/gapi-2.0/
%{_datadir}/gapi-2.0/gio-api.xml




%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.22.3-alt1_8
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 2.22.3-alt1_6
- new version

